December 29, 2010

pohdes pohdes
Lab Rat
4 posts

Qt Creator keep crashing when opening *.ui file

Page  
1

Hi all, I’m using Qt SDK version 2010.05. Not sure why Qt Creator keep crashing when I try to load the ui file. No problem when running Qt Designer independently and the ui file can be loaded properly. I’m using Windows Vista Home Basic 32-bit. Please help.

26 replies

December 29, 2010

stuk stuk
Ant Farmer
523 posts

Strange, can you post your ui file?

December 29, 2010

Stavros Filippidis Stavros Filippidis
Lab Rat
392 posts
pohdes wrote:
Hi all, I’m using Qt SDK version 2010.05. Not sure why Qt Creator keep crashing when I try to load the ui file. No problem when running Qt Designer independently and the ui file can be loaded properly. I’m using Windows Vista Home Basic 32-bit. Please help.

Can you try the same ui file with the installation of QtSDK 2010.05 at another O/S, such as Windows XP?

December 29, 2010

QtK QtK
Lab Rat
1045 posts

Never faced such an issue with Qt SDK version 2010.05. Does this happen with any particular .ui file. Or crashes with any .ui file.

December 29, 2010

pohdes pohdes
Lab Rat
4 posts

Below is the ui file:

  1. <ui version="4.0">
  2.  <class>TestGUI</class>
  3.  <widget class="QWidget" name="TestGUI" >
  4.   <property name="geometry" >
  5.    <rect>
  6.     <x>0</x>
  7.     <y>0</y>
  8.     <width>400</width>
  9.     <height>300</height>
  10.    </rect>
  11.   </property>
  12.   <property name="windowTitle" >
  13.    <string>TestGUI</string>
  14.   </property>
  15.  </widget>
  16.  <layoutDefault spacing="6" margin="11" />
  17.  <pixmapfunction></pixmapfunction>
  18.  <resources/>
  19.  <connections/>
  20. </ui>

Qtk: Yes, it crash with any ui file.

December 29, 2010

stuk stuk
Ant Farmer
523 posts

With that ui file qt creator crash for me!
I’m Win Xp Sp3

But in your ui file there isn’t a

  1. <?xml version="1.0" encoding="UTF-8"?>

in the first line.

December 29, 2010

pohdes pohdes
Lab Rat
4 posts

stuk: This is an ui file created by qtCreator when I try to create a Qt GUI project. I didn’t change anything in it. So, I need to add that line in?

December 29, 2010

QtK QtK
Lab Rat
1045 posts
pohdes wrote:
stuk: This is an ui file created by qtCreator when I try to create a Qt GUI project. I didn’t change anything in it. So, I need to add that line in?

No it should have been there already. Try to create a new project in Qt creator and check what happens to the ui file. Does it crash or not. If crashing check if xml version tag is there or not.

December 29, 2010

stuk stuk
Ant Farmer
523 posts

This is strange because for me, create a new project create the same ui posted but view in qt creator add the xml version, but only in qt creator! in the source code of the ui there isn’t that code!

QtK wrote:
pohdes wrote:
stuk: This is an ui file created by qtCreator when I try to create a Qt GUI project. I didn’t change anything in it. So, I need to add that line in?

No it should have been there already. Try to create a new project in Qt creator and check what happens to the ui file. Does it crash or not. If crashing check if xml version tag is there or not.

December 29, 2010

QtK QtK
Lab Rat
1045 posts

In my case the source code has it. But when I modified the .ui to the one provided above. The editor in Qt Creator doesn’t show this line.

  1. <pixmapfunction></pixmapfunction>

but if I open it in any other text editor, it is shown there.

December 29, 2010

Vass Vass
Ant Farmer
706 posts

Qt Creator in Qt SDK 2010.05 is depricated, Do may be not try resolve this problem and download new version? Qt Creator 2.1 for example?

 Signature 


Vasiliy

December 29, 2010

Stavros Filippidis Stavros Filippidis
Lab Rat
392 posts
Vass wrote:
Qt Creator in Qt SDK 2010.05 is depricated, Do may be not try resolve this problem and download new version? Qt Creator 2.1 for example?

I think that you are wrong here: Qt Creator included in Qt SDK 2010.05 is Qt Creator 2.0.1, which is the latest “stable” version. The version 2.1 of Qt Creator that you mention is a Release Candidate. :)

December 29, 2010

QtK QtK
Lab Rat
1045 posts
Stavros Filippidis wrote:
Vass wrote:
Qt Creator in Qt SDK 2010.05 is depricated, Do may be not try resolve this problem and download new version? Qt Creator 2.1 for example?

I think that you are wrong here: Qt Creator included in Qt SDK 2010.05 is Qt Creator 2.0.1, which is the latest “stable” version. The version 2.1 of Qt Creator that you mention is a Release Candidate. :)

Right Qt Creator included in Qt SDK 2010.05 is Qt Creator 2.0.1.

December 29, 2010

Vass Vass
Ant Farmer
706 posts

Stavros Filippidis IMHO using unstable Qt Creator is not a problem. It’s no high load server with millions users. Release candidate is enough stable for using and includes many new features, such as QML Designer.

 Signature 


Vasiliy

December 29, 2010

QtK QtK
Lab Rat
1045 posts

That’s right. But in this case only pohdes is facing this problem. Will have to wait till he replies back.

December 29, 2010

Stavros Filippidis Stavros Filippidis
Lab Rat
392 posts
Vass wrote:
Stavros Filippidis IMHO using unstable Qt Creator is not a problem. It’s no high load server with millions users. Release candidate is enough stable for using and includes many new features, such as QML Designer.

Generally speaking, I don’t disagree with this! My point was that the version included in Qt SDK 2010.05 is NOT deprecated, but instead it is the current official and stable version provided. So, I would make the hypothesis that the initial poster’s crashes do NOT have to do with the Qt Creator’s version. ;)

Page  
1

  ‹‹ Qt Creator always rebuilds all files in project      Qt Creator 2.1.0 RC 1 won’t make in Ubuntu ››

You must log in to post a reply. Not a member yet? Register here!